# Metric template

Metrics are defined using a YAML manifest with the following structure:

{% code lineNumbers="true" %}

```yaml
metrics:
  - name: "cpu_util"
    description: "cpu utilization"
    unit: "percent"
  - name: "mem_util"
    description: "memory utilization"
    unit: "percent"
```

{% endcode %}

and properties:

| Field         | Type   | Value restrictions                                                                                | Is required | Default Value   | Description                             |
| ------------- | ------ | ------------------------------------------------------------------------------------------------- | ----------- | --------------- | --------------------------------------- |
| `name`        | string | <p><br>no spaces are allowed<br></p>                                                              | TRUE        | <p><br><br></p> | The name of the metric                  |
| `unit`        | string | A supported unit or a custom unit (see [supported units of measure](#supported-units-of-measure)) |             |                 | The unit of measure of the metric       |
| `description` | string | <p><br><br></p>                                                                                   | TRUE        | <p><br><br></p> | A description characterizing the metric |

### Supported units of measure

The supported units of measure for metrics are:

| Type                | Units                                                             |
| ------------------- | ----------------------------------------------------------------- |
| Temporal units      | 2ab74bf1d35847a3bc4fac993a60b071-23000ca395e34b07ad96955987a9dc53 |
| Units of infomation | 91179a9246d94fc795083b4bd7c1a71c-23000ca395e34b07ad96955987a9dc53 |
| Others              | percent                                                           |

Notice that supported units of measure are automatically scaled for visualization purposes. In particular, for units of information, Akamas uses a base 2 scaling for bytes, i.e., 1 kilobyte = 1024 bytes, 1 megabyte = 1024 kilobytes, and so on. Other units of measure are only scaled up using millions or billions (e.g., 124000000 custom units become 124 Mln custom units).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/construct-templates/metric-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
